HELOC Inquiries/Exceptions
Submit an SSN
PUT
/products /heloc /v1 /inquiry /{appUuid} /add-ssnPath parameters
appUuidstringRequired
Request body
application/jsonSend this body encrypted as a JWE: { "encrypted": "<JWE>" }. The fields below describe the payload before encryption. Can't encrypt client-side? Use the Encryption API.
requestobjectRequiredShowHide 2 attributes of request
loanOriginatorUuidstringRequiredasyncbooleanRequiredDeprecatedWill be removed from all requests in a future release. This is no longer an option on some requests. Async will be the only option.
applicantobjectRequiredShowHide 1 attribute of applicant
ssnstringRequiredPattern^(([0-9]{9})|([0-9]{3}-[0-9]{2}-[0-9]{4}))$
Responses
200OKobject
messagesarray of objectsShowHide 2 attributes of messages
levelstringRequiredmessagestringRequired
Response
PUT
/products /heloc /v1 /inquiry /{appUuid} /add-ssnTemplate: replace the placeholder with your encrypted payload. See Encrypt a payload.
Response